# Changelog

Liste des changements notables dans GestioCOF depuis la version 0.1 (septembre
2018).

## Le FUTUR ! (pas prêt pour la prod)

### Nouveau module de gestion des événements

- Désormais complet niveau modèles
- Export des participants implémenté

#### TODO

- Vue de création d'événements ergonomique
- Vue d'inscription à un événement **ou** intégration propre dans la vue
  "inscription d'un nouveau membre"

### Nouveau module BDS

Uniquement un modèle BDSProfile pour le moment…

### Nouveau module de gestion des clubs

Uniquement un modèle simple de clubs avec des respos. Aucune gestion des
adhérents ni des cotisations.

## Upcoming

### Problèmes corrigés

- Bug d'affichage quand on a beaucoup de clubs dans le cadre "Accès rapide" sur
  la page des clubs
- Version mobile plus ergonimique sur le nouveau site du COF
- Cliquer sur "visualiser" sur les pages de clubs dans wagtail ne provoque plus
  d'erreurs 500.
- L'historique des ventes des articles fonctionne à nouveau
- Les montants en K-Fêt sont à nouveau affichés en UKF (et non en €).
- Les boutons "afficher/cacher" des mails et noms des participant⋅e⋅s à un
  spectacle BdA fonctionnent à nouveau.
- on ne peut plus compter de consos sur ☠☠☠, ni éditer les comptes spéciaux
(LIQ, GNR, ☠☠☠, #13).

### Nouvelles fonctionnalités

- On n'affiche que 4 articles sur la pages "nouveautés"
- Plus de traductions sur le nouveau site du COF
- Les transferts apparaissent maintenant dans l'historique K-Fêt et l'historique
  personnel.
- les statistiques K-Fêt remontent à plus d'un an (et le code est simplifié)

## Version 0.4.1 - 17/01/2020

- Corrige un bug sur K-Psul lorsqu'un trigramme contient des caractères réservés
  aux urls (\#, /...)

## Version 0.4 - 15/01/2020

- Corrige un bug d'affichage d'images sur l'interface des petits cours
- La page des transferts permet de créer un nombre illimité de transferts en
  une fois.
- Nouveau site du COF : les liens sont optionnels dans les descriptions de clubs
- Mise à jour du lien vers le calendire de la K-Fêt sur la page d'accueil
- Certaines opérations sont à nouveau accessibles depuis la session partagée
  K-Fêt.
- Le bouton "déconnexion" déconnecte vraiment du CAS pour les comptes clipper
- Corrige un crash sur la page des reventes pour les nouveaux participants.
- Corrige un bug d'affichage pour les trigrammes avec caractères spéciaux

## Version 0.3.3 - 30/11/2019

- Corrige un problème de redirection lors de la déconnexion (CAS seulement)
- Les catégories d'articles K-Fêt peuvent être exemptées de subvention COF
- Corrige un bug d'affichage dans K-Psul quand on annule une transaction sur LIQ
- Corrige une privilege escalation liée aux sessions partagées en K-Fêt
  https://git.eleves.ens.fr/klub-dev-ens/gestioCOF/issues/240

## Version 0.3.2 - 04/11/2019

- Bugfix: modifier un compte K-Fêt ne supprime plus nom/prénom

## Version 0.3.1 - 19/10/2019

- Bugfix: l'historique des utilisateurices s'affiche à nouveau

## Version 0.3 - 16/10/2019

- Comptes extés: lien pour changer son mot de passe sur la page d'accueil
- Les utilisateurices non-COF peuvent éditer leur profil
- Un peu de pub pour KDEns sur la page d'accueil
- Fix erreur 500 sur /bda/revente/<tirage_id>/manage
- Si on essaie d'accéder au compte que qqn d'autre on a une 404 (et plus une 403)
- On ne peut plus modifier des comptes COF depuis l'interface K-Fêt
- Le champ de paiement BdA se fait au niveau des attributions
- Affiche un message d'erreur plutôt que de crasher si échec de l'envoi du mail
  de bienvenue aux nouveaux membres
- On peut supprimer des comptes et des articles K-Fêt
- Passage à Django2
- Dev : on peut désactiver la barre de debug avec une variable shell
- Remplace les CSS de Google par des polices de proximité
- Passage du site du COF et de la K-Fêt en Wagtail 2.3 et Wagtail-modeltranslation 0.9
- Ajoute un lien vers l'administration générale depuis les petits cours
- Abandon de l'ancien catalogue BdA (déjà plus utilisé depuis longtemps)
- Force l'unicité des logins clipper
- Nouveau site du COF en wagtail
- Meilleurs affichage des longues listes de spectacles à cocher dans BdA-Revente
- Bugfix : les pages de la revente ne sont plus accessibles qu'aux membres du
  COF

## Version 0.2 - 07/11/2018

- Corrections de bugs d'interface dans l'inscription aux tirages BdA
- On peut annuler une revente à tout moment
- Pleiiiiin de tests

## Version 0.1 - 09/09/2018

Début de la numérotation des versions, début du changelog
